Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.compiler
[Java] Interface DirectoryWatcher.FileChangeListener

    public static interface DirectoryWatcher.FileChangeListener

Interface for FileChangeListeners

Method Summary
`void` | `onChange(java.io.File file)` Fired when a file changes
`void` | `onNew(java.io.File file)` Fired when a new file is created

Method Detail

### onChange

    public void onChange(java.io.File file)

  Fired when a file changes
  Parameters:
    `file` - The file that changed

### onNew

    public void onNew(java.io.File file)

  Fired when a new file is created
  Parameters:
    `file` - The file that was created

Groovy Documentation